﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.01
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim Broadcast As BroadCastReceiver
End Sub

Sub Service_Create
	Broadcast.Initialize("BroadcastReceiver")

End Sub

Sub Service_Start (StartingIntent As Intent)
	'man.Initialize("EMDK")
	Log(StartingIntent)
	Log(StartingIntent.Action)
	Log(StartingIntent.ExtrasToString)
	'Broadcast.addAction("android.intent.action.BATTERY_CHANGED")
	Broadcast.addAction("com.symbol.datawedge.DWDEMO")
	Broadcast.addAction("com.symbol.datawedge.api.ACTION")
	Broadcast.addAction("com.symbol.datawedge.api.NOTIFICATION_ACTION")
	Broadcast.addAction("com.symbol.datawedge.api.RESULT_ACTION")
	Broadcast.addAction("com.zebra.signaturecapture.action.SigCap")
	Broadcast.addCategory("android.intent.category.DEFAULT")
	Broadcast.SetPriority(2147483647)
	Broadcast.registerReceiver("")

	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
End Sub
Sub Service_Destroy
End Sub

Sub BroadcastReceiver_OnReceive (Action As String, i As Object)
	Log($"BroadcastReceiver_OnReceive(${Action})"$)
	Dim intent As Intent = i
	
	Log(intent.ExtrasToString)
	'can only abort when sendOrderedbroadcast is called.
	If intent.Action = "com.symbol.datawedge.api.ACTION" Then
		Log($"Api.ACTION: ${intent.ExtrasToString}"$)
	End If
	
	If intent.Action = "com.symbol.datawedge.api.NOTIFICATION_ACTION" Then
		Log($"Api.NOTIFICATION_ACTION: ${intent.ExtrasToString}"$)
	End If
	If intent.Action = "com.symbol.datawedge.api.RESULT_ACTION" Then
		Log($"Api.RESULT_ACTION: ${intent.ExtrasToString}"$)
	End If
	
	' com.motorolasolutions.emdk.datawedge
	If intent.HasExtra("com.motorolasolutions.emdk.datawedge.source") Then
		Log("emdkSource = "&intent.GetExtra("com.motorolasolutions.emdk.datawedge.source"))
	End If
	If intent.HasExtra("com.motorolasolutions.emdk.datawedge.data_string") Then
		Log("emdkDataString = "&intent.GetExtra("com.motorolasolutions.emdk.datawedge.data_string"))
	End If
	If intent.HasExtra("com.motorolasolutions.emdk.datawedge.label_type") Then
		Log("emdkDataType = "&intent.GetExtra("com.motorolasolutions.emdk.datawedge.label_type"))
	End If
	If intent.HasExtra("com.motorolasolutions.emdk.datawedge.decode_data") Then
		Log("emdkdecode_data = "&intent.GetExtra("com.motorolasolutions.emdk.datawedge.decode_data"))
	End If
	
	' com.symbol.datawedge
	If intent.HasExtra("com.symbol.datawedge.source") Then
		Log("DatawedgeSource = "&intent.GetExtra("com.symbol.datawedge.source"))
	End If
	If intent.HasExtra("com.symbol.datawedge.data_string") Then
		Log("DatawedgeDataString = "&intent.GetExtra("com.symbol.datawedge.data_string"))
	End If
	If intent.HasExtra("com.symbol.datawedge.label_type") Then
		Log("DatawedgeLabelType = "&intent.GetExtra("com.symbol.datawedge.label_type"))
	End If
	If intent.HasExtra("com.symbol.datawedge.data_dispatch_time") Then
		Log("DatawedgeDispatchTime = "&intent.GetExtra("com.symbol.datawedge.data_dispatch_time"))
	End If
	If intent.HasExtra("com.symbol.datawedge.decode_data") Then
		Log("Datawedgedecode_data = "&intent.GetExtra("com.symbol.datawedge.decode_data"))
	End If
	If intent.HasExtra("com.symbol.datawedge.decoded_mode") Then
		Log("Datawedgedecoded_mode = "&intent.GetExtra("com.symbol.datawedge.decoded_mode"))
	End If
	
	' Datalogic default Broadcasts... Just leave them... Does not hurt ;-)
	If intent.HasExtra("com.datalogic.decode.intentwedge.barcode_string") Then
		Log("BarcodeStringBroadcast = "&intent.GetExtra("com.datalogic.decode.intentwedge.barcode_string"))
		Log("BarcodeTypeBroadcast = "&intent.GetExtra("com.datalogic.decode.intentwedge.barcode_type"))
	End If
	If intent.HasExtra("device_name") Then
		Log("DEVICE_INFO-Broadcast: device_name = "&intent.GetExtra("device_name"))
		Log("DEVICE_INFO-Broadcast: sdk_version = "&intent.GetExtra("sdk_version"))
		Log("DEVICE_INFO-Broadcast: device_hw_revision = "&intent.GetExtra("device_hw_revision"))
		Log("DEVICE_INFO-Broadcast: device_fw_version = "&intent.GetExtra("device_fw_version"))
		Log("DEVICE_INFO-Broadcast: device_id = "&intent.GetExtra("device_id"))
		Log("DEVICE_INFO-Broadcast: scan_engine_model = "&intent.GetExtra("scan_engine_model"))
	End If



	'Broadcast.AbortBroadcast
End Sub

